---
sourceDocument: Australia API Reference
sourceDocumentLink: https://www.servicenow.com/docs/r/api-reference

 Release :

    - australia

ft:locale :

    - en-US

ft:publication_title :

    - Australia API Reference

ft:clusterId :

    - crapiref

bundleId :

    - crapiref

workflow :

    - Creator


---

# Create a scripted REST API

# Create a scripted REST API {#ariaid-title1}

* Release version: Australia
* 
* Updated March 12, 2026
* 
* ![](https://www.servicenow.com/docs/portal-asset/ico-clock) 1 minute to read

Create a scripted REST API to define web service endpoints.

## Before you begin

Role required: web_service_admin

## Procedure

1. Navigate to AllSystem Web ServicesScripted REST APIs.
2. Click New.
3. Enter a Name for the service.  
   The API ID is set automatically based on the Name. You can modify the API ID if needed.
4. In the Default ACLs field, select the default ACLs that apply to all resources in the API.  
   If you configure security settings for resources in the API, including ACLs, the settings of the resource override the parent API settings.
5. Click Submit.
{#t_CreateAScriptedRESTService__steps_nmg_dld_cs}

## What to do next

After you create the API, configure the service as needed such as by creating resources, assigning ACLs, or specifying supported request and response formats.
* **[Create a scripted REST API resource](https://www.servicenow.com/docs/ZQDHypXXSXoNDnrnuTIAiw)**   
  Create a scripted REST API resource to define the HTTP method, the processing script, and to override settings from the parent service.
* **[Define a REST API response header](https://www.servicenow.com/docs/LUu8iKeLsM97FET4o14z8Q)**   
  Define one or more REST API response headers in a REST API.
* **[Define a scripted REST API request header](https://www.servicenow.com/docs/2r39IVBM8aTjspWyCVjWzw)**   
  Define scripted REST API request headers to control which headers the API accepts.
* **[Associate a request header with a resource](https://www.servicenow.com/docs/2nRS2Xj77xqUAxceidJAKw)**   
  Define which request headers are expected for each resource within a scripted REST API.
* **[Define a REST API schema](https://www.servicenow.com/docs/X1kvaEXHwhrYM9jkjZ~~HA)**   
  Specify the expected data structure for requests or responses within a REST API by defining a schema.
* **[Define an API resource request structure](https://www.servicenow.com/docs/SlOjLdlA77b3Oq0NmV~CEA)**   
  Add a schema to a REST request record to define the request's expected data structure.
* **[Define an API resource response structure](https://www.servicenow.com/docs/Mg5xvaxmIDTay7vrHoVVjQ)**   
  Add a schema and relevant response headers to a REST response to define the response's expected data structure.
* **[Define available query parameters](https://www.servicenow.com/docs/VhjgdE0VvvsGYNHfahcXYA)**   
  Define available query parameters to control what values a requesting user can pass in the request URI.
* **[Associate query parameters with a resource](https://www.servicenow.com/docs/X57ZMJkir~7SPKLhzBBJcg)**   
  Associate scripted REST API query parameters with a resource.
* **[Automatically generate API request definitions](https://www.servicenow.com/docs/PMIDsmNMHbcgTE5adyjmIg)**   
  Use sample requests made to an API resource to generate request header associations, query parameter associations, and a request schema for that resource.
* **[Configure a scripted REST API to require an ACL](https://www.servicenow.com/docs/5A1sotO_LsCS_8iIZrdqAg)**   
  Requests to scripted REST APIs respect platform ACLs, and the requesting user must meet any table ACL requirements to access instance data. Additionally, you can configure the scripted REST API to require a specific ACL.
* **[Enable versioning for a scripted REST API](https://www.servicenow.com/docs/939A1TK7Mr5LvAY1QPLwkQ)**   
  Enable versioning for a scripted REST API to provide multiple versions of the API while maintaining compatibility with existing integrations.
* **[Control request and response content type](https://www.servicenow.com/docs/DKvWqeu_k_AEVuKMCW5igg)**   
  Controls which content types are allowed in scripted REST API requests and responses.
* **[Controlling maximum request size](https://www.servicenow.com/docs/f4Xb_SzPBm9whg2dWFhy2g)**   
  You can specify the maximum file size allowed in a scripted REST API request payload.

*[\>]: and then


